import { Assertion, Characters, LiteralCharacterInterface } from "./builder";
export declare const CharactersMap: {
    ANY: string;
    DIGIT: string;
    NON_DIGIT: string;
    ALPHANUM: string;
    NON_ALPHANUM: string;
    SPACE: string;
    NON_SPACE: string;
    HTAB: string;
    VTAB: string;
    RETURN: string;
    LINEFEED: string;
    FORMFEED: string;
    BACKSPACE: string;
    NULL: string;
};
export declare const ParseMatch: (character: Characters | LiteralCharacterInterface | string) => string;
export declare const ParseAssertion: (assertion: Assertion) => string;
export declare const AssertionMap: {
    START: string;
    END: string;
    WORD_BOUNDARY: string;
    NOT_WORD_BOUNDARY: string;
};
